function usePrivate = evaluateCcdata

%% init
close all
clc

load localData/ccdata.mat

nBin = 5;
[dataSeed dataSeedS] = ccComputeGraphData(seeds, nBin);
[data500 data500S]   = ccComputeGraphData(rpm500, nBin);
[data750 data750S]   = ccComputeGraphData(rpm750, nBin);
[data999 data999S]   = ccComputeGraphData(rpm999, nBin);

%% plot volFraction
figure, hold on
plot(dataSeedS.sizeVector, dataSeedS.volFractionVector, 'k-', ...
    'lineWidth', 2);
plot(data500S.sizeVector, data500S.volFractionVector, 'b-');
plot(data750S.sizeVector, data750S.volFractionVector, 'm-');
plot(data999S.sizeVector, data999S.volFractionVector, 'r-');

%% plot numberDistr
figure, hold on
plot(dataSeedS.sizeVector, dataSeedS.countVector, 'k-', ...
    'lineWidth', 2);
plot(data500S.sizeVector, data500S.countVector, 'b-');
plot(data750S.sizeVector, data750S.countVector, 'm-');
plot(data999S.sizeVector, data999S.countVector, 'r-');

%% evaluate mean size
clc
ccPrintMeanSize(dataSeed, 'seeds');
ccPrintMeanSize(data500, 'rpm500');
ccPrintMeanSize(data750, 'rpm750');
ccPrintMeanSize(data999, 'rpm999');

% factorVector = 1:0.1:2;
% sizeVector = nan*factorVector;
% for iFactor = 1:length(factorVector)
%     sizeVector(iFactor) = printMeanSize(dataSeed, '', factorVector(iFactor));
% end
% figure,plot(factorVector, sizeVector)